# -*- coding: utf-8 -*-
import pymel.core as pm
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate

class AEaiWriteColorTemplate(ShaderAETemplate):

    def setup(self):
        self.beginScrollLayout()
        self.beginLayout("编写颜色属性", collapse=False)

        self.addControl("beauty", label="美化")
        self.addControl("input", label="输入")
        self.addAOVControl('aovName')
        self.addControl("blend")

        self.endLayout()

        pm.mel.AEdependNodeTemplate(self.nodeName)
        self.addExtraControls()

        self.endScrollLayout()

